gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Scale A vertical slider widget for selecting a value from a range.

The VScale widget allows the user to select a value with a vertical slider.

This widget and its model is manipulated using methods and properties in its super classes, and .

- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  The model to use for this VScale
  Creates a new vertical slider based on the data in .

  To create a vertical slider without explicit use of a , use the alternative constructor.

- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Constructor
  2.12.0.0
  The minimum value that is accepted by this VScale.
  The maximum value that is accepted by this VScale.
  The value to adjust the VScale by when 'sliding'.
  Creates a new vertical slider without the need for an object.

  Creates a new vertical slider that lets the user input a number between (and including) and . Each adjustment of the slider changes the value by , which must be non-zero.

- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .